如果目前正在运行火狐26,你可能已经注意到,浏览器仅支持SSL 3.0和TLS 1.0,默认不开启TLS 1.1或TLS 1.2。另外我们知道Firefox 27 已经实现了对TLS 1.2的支持。

        那么我们如何查看浏览器对TSL的支持情况?

        

        

        方法如下:

                进入“about:config”;
        

                搜索 “security.tls.version”;
        

                搜索结果内容条目中“security.tls.version.max”项的值在Firefox26中默认是“1”,这表示只支持TLS 1.0,但不支持TLS 1.1或TLS 1.2;
        

                “security.tls.version.min”默认值为“0”,最低安全连接支持SSL3.0 。
        

        在Firefox 27中,“security.tls.version.max”默认情况下已经改为“3”,这意味着TLS 1.1或TLS 1.2这两个 Firefox 默认就已经支持。

        

        下面是所有可能的值和代表的意义:

                0表示SSL 3.0为最低要求或加密协议的最大支持版本。
        

                1表示TLS 1.0为最低要求或加密协议的最大支持版本。
        

                2表示TLS 1.1为最低要求或加密协议的最大支持版本。
        

                3表示TLS 1.2为最低要求或加密协议的最大支持版本。
        

        拿Firefox27举例,在Firefox 27中最小被设置为0,最大值设置为3,这意味着所有的协议都支持,而且Firefox会先尝试使用TLS 1.2,然后再TLS 1.1,然后TLS 1.0,最后尝试SSL 3.0。你也可以手动修改,如把最大值改为2,那么Firefox27即使是支持TLS 1.2的,也不会去尝试使用,而是优先尝试使用TLS 1.1。

最新文章

  1. TimerToPdf
  2. oracle DBMS_LOCK.SLEEP()的使用
  3. 1.jquery的变量赋予方式
  4. easyui datagrid
  5. 文件上传小技巧/原生态【html篇】
  6. 解决 Eclipse “alt+/”快捷键 无效
  7. C#_abstract的用法
  8. js对象3--工厂方法加深引出原型--杂志
  9. POJ 2039
  10. 基础DOM和CSS操作(二)
  11. semantic
  12. 非sqlite和nigix的开源c项目
  13. 为代码减负之<二>存储过程(SQL)
  14. 「设计模式」JavaScript - 设计模式之单例模式与场景实践
  15. 用adb录制手机屏幕视频
  16. codeforces 983B XOR-pyramid
  17. 网络编程第三讲UDP编写
  18. SVN服务器本地搭建与使用
  19. 什么是 shell
  20. 有两艘船需要装运的n箱货物,第一艘船的载重量是c1,第二艘船的载重量是c2,wi是货箱i的重量,且w1+w2+……+wn<=c1+c2

热门文章

  1. python学习笔记整理——集合 set
  2. [AJAX系列]onreadystatechange事件
  3. python 2.7 和3.0input区别
  4. 转-Spring单例模式与线程安全
  5. mybatis中使用使用模块化sql
  6. Jenkins_获取源码编译并启动服务(二)
  7. sed巧用,随手记
  8. yum命令mysql,jdk,tomcat
  9. RunLoop的深入了解
  10. Metro-UI系统-1-tile标签